Post
/contact/create
Creates a new contact using the information provided in the contact object.
Check Contact_ for possible identifiers in the body.
Request body examples:
{
"emailAddress": "test20210203@dropmail.mapp.com",
"attributes":
[
{"name": "FirstName", "value": "John"},
{"name": "LastName", "value": "Smith"},
{"name": "mobileNumber", "value": "33505606709"},
{"name": "user.ISOCountryCode", "value": "FR"}
]
}
{
"emailAddress" : "testuser@dropmail.mapp.com"
}
Body parameters
object
contactId
integer (int64)
emailAddress
string
mobileNumber
string
applicationAlias
string
identifier
string
attributes
Array of object (Attribute)
object
name
string
value
string
channelAddresses
Array of object (Attribute)
object
name
string
value
string
Responses
200
object
contactId
integer (int64)
emailAddress
string
mobileNumber
string
applicationAlias
string
identifier
string
attributes
Array of object (Attribute)
object
name
string
value
string
channelAddresses
Array of object (Attribute)
object
name
string
value
string
400
Such contact already exists